Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 503298 - Review Request: vim-bash-support - BASH-IDE for VIM
Summary: Review Request: vim-bash-support - BASH-IDE for VIM
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-05-30 23:52 UTC by cga
Modified: 2009-09-17 17:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 17:29:13 UTC


Attachments (Terms of Use)

Description cga 2009-05-30 23:52:55 UTC
Spec URL: http://ricky.fedorapeople.org/cga/vim-bash-support.spec
SRPM URL: http://ricky.fedorapeople.org/cga/vim-bash-support-2.11-1.fc10.src.rpm
Description: Bash Support implements a bash-IDE for Vim/gVim. It is written to considerably speed up writing code in a consistent style.  This is done by inserting complete statements comments idioms and code snippets.  Syntax checking running a script starting a debugger  can be done with a keystroke. There are many additional hints and options which can improve speed and comfort when writing shell scripts.

NEW PACKAGER: this is my first package ever. ricky helped me alot. i need a sponsor. the package works for both of us. thank you ricky.

Comment 1 Ricky Zhou 2009-06-01 04:59:40 UTC
Some other package submissions from cga:
vim-c-support (bug 503300)
vim-nerdtree (bug 503301)

Comment 2 Jason Tibbitts 2009-08-01 03:29:26 UTC
Sorry nobody's taken a look at this yet; we have far more submissions than reviewers.

Honestly I don't know much about vim plugins; I don't even know how to test this.  (I use vim for quick edits but I spend most of my time in emacs.  Somehow using both at the same time fails to melt my brain.)  I did build it on rawhide without incident; the only rpmlint complaint is:
 vim-bash-support.noarch: E: non-executable-script
  /usr/share/vim/vimfiles/bash-support/templates/bash-file-header 0644 /bin/bash
which is obviously bogus as that's a template file,  not an actual script.  It just happens to start with "#!/bin/bash".

If you're still interested in getting your packages into Fedora and you drop some hints as to how to test them, I'll try to take a look in the near future.

Comment 3 Jason Tibbitts 2009-09-09 23:59:46 UTC
Unfortunately it's been over a month with no response.  I'll go ahead and close these three review tickets if there's no further progress.

Comment 4 Jason Tibbitts 2009-09-17 17:29:13 UTC
No response; closing.


Note You need to log in before you can comment on or make changes to this bug.